(defun c:p2pcircle (/ ss i num ent ent1 entType ent2 plp stp edp lsp lep asp aep spl spsp spl1 spep)
  (setq ss (ssget '((0 . "LINE,ARC,LWPOLYLINE,SPLINE"))))
  (if ss
      (progn
        (setq i 0)
        (setq num (sslength ss))

        (while (< i num)
          (setq ent (ssname ss i))
          (setq ent1 (entget ent))
          (setq entType (cdr (assoc 0 ent1)))
          (setq ent2 (vlax-ename->vla-object ent))

          (cond
           ((= entType "LWPOLYLINE")
            (setq plp (vlax-get ent2 'Coordinates))
            (setq stp (list (nth 0 plp) (nth 1 plp)))
            (setq edp (list (nth 2 plp) (nth 3 plp)))
            (command "_circle" stp 50)
            (command "_circle" edp 50))

           ((= entType "LINE")
            (setq lsp (vlax-get ent2 'Startpoint))
            (setq lep (vlax-get ent2 'endpoint))
            (command "_circle" lsp 50)
            (command "_circle" lep 50))

           ((= entType "ARC")
            (setq asp (vlax-get ent2 'Startpoint))
            (setq aep (vlax-get ent2 'endpoint))
            (command "_circle" asp 50)
            (command "_circle" aep 50))

           ((= entType "SPLINE")
            (setq spl (vlax-get ent2 'fitpoints))
            (setq spsp (list (nth 0 spl) (nth 1 spl)))
            (setq spl1 (reverse spl))
            (setq spep (list (nth 2 spl1) (nth 1 spl1)))
            (command "_circle" spsp 50)
            (command "_circle" spep 50)))
          (setq i (1+ i)))
        )
    )
  )